aboutsummaryrefslogtreecommitdiff
path: root/docker/debian-dev/bootstrap/setup.bash
diff options
context:
space:
mode:
Diffstat (limited to 'docker/debian-dev/bootstrap/setup.bash')
-rwxr-xr-xdocker/debian-dev/bootstrap/setup.bash58
1 files changed, 42 insertions, 16 deletions
diff --git a/docker/debian-dev/bootstrap/setup.bash b/docker/debian-dev/bootstrap/setup.bash
index 09b8137..65aabbb 100755
--- a/docker/debian-dev/bootstrap/setup.bash
+++ b/docker/debian-dev/bootstrap/setup.bash
@@ -1,30 +1,56 @@
#! /usr/bin/env bash
+# shellcheck disable=1090,1091
-set -e
+set -e -o pipefail
-export DEBIAN_FRONTEND=noninteractive
+die() {
+ echo "$@" >&2
+ exit 1
+}
+
+if [[ $EUID -ne 0 ]]; then
+ die "This script must be run as root."
+fi
-echo "Setting up crupest-debian-dev..."
+script_dir=$(dirname "$0")
-. /bootstrap/func.bash
+os_release_file="/etc/os-release"
+if [[ -f "$os_release_file" ]]; then
+ debian_version=$(. "$os_release_file"; echo "$VERSION_CODENAME")
+ if [[ "$debian_version" != "bookworm" ]]; then
+ die "This script can only be run on Debian Bookworm. But it is $debian_version"
+ fi
+else
+ die "$os_release_file not found. Failed to get debian version."
+fi
+
+script_dir=$(dirname "$0")
-/bootstrap/apt-source/setup.bash
+export DEBIAN_FRONTEND=noninteractive
-echo "Updating apt source index..."
+echo "Begin to setup debian..."
+
+bash "$script_dir/setup-apt.bash"
+
+echo "Installing packages..."
apt-get update
-echo "Updating apt source index done."
+apt-get install -y \
+ tini locales procps sudo vim less man bash-completion curl wget \
+ build-essential git devscripts debhelper quilt argon2
-/bootstrap/setup-user.bash
-/bootstrap/setup-base.bash
-/bootstrap/setup-dev.bash
+echo "Setting up locale..."
+localedef -i en_US -c -f UTF-8 -A /usr/share/locale/locale.alias en_US.UTF-8
-if is_true "$CRUPEST_DEBIAN_DEV_SETUP_CODE_SERVER"; then
- echo "CRUPEST_DEBIAN_DEV_SETUP_CODE_SERVER is true, setting up code-server..."
- /bootstrap/setup-code-server.bash
-fi
+echo "Setting up sudo..."
+sed -i.bak 's|%sudo[[:space:]]\+ALL=(ALL:ALL)[[:space:]]\+ALL|%sudo ALL=(ALL:ALL) NOPASSWD: ALL|' /etc/sudoers
+
+echo "Creating user $CRUPEST_DEBIAN_DEV_USER ..."
+useradd -m -G sudo -s /usr/bin/bash "$CRUPEST_DEBIAN_DEV_USER"
+
+echo "Setting up code-server..."
+curl -fsSL https://code-server.dev/install.sh | sh
echo "Cleaning up apt source index..."
rm -rf /var/lib/apt/lists/*
-echo "Cleaning up apt source index done."
-echo "Setting up crupest-debian-dev done."
+echo "Setup debian done."